<!DOCTYPE html>
<html>
<body>
<script>
    var name;
    var Person= {
        name:'Jack',
        age:'25',
        sayName : function() {
            return this.name+" "+this.age;// here this refers to object scope where it exists
        },
        b: () => {
             return this.name;// here this refers to global object
        },
        
    };
    document.write(Person.sayName()+"<br>");
    document.write(Person.b());

  //----------//  
    var m=0; //global value
   function variable(p,q) //p,q  values
   {
    
   function alp()
   {
    var m=20;//local value
     document.write(this.m+"<br>");

   }
   
   alp();
   }
   variable(4,5);
//------//

   var m=0; //global value
   function v(p,q) //p,q  values
   {
    document.write(this.m+"<br>");
    document.write(p+"<br>");
    document.write(q+"<br>");
    var m=20;
   b=()=>
   {
    
     document.write(this.m);

   }
   
   b();
   }
   v(4,5);
   
    
    

</script>
</body>
</html>